help server web: impostazioni htaccess e php.ini

ciao a tutti, è un po che leggo le pagine di phpnews e ringrazio tutti per l'utilità che me ne è pervenuta. Ho buttato giù una mini applicazione php con lo zend framework e adesso volevo upparla sul mio server web. Mi mettono a disposizione:

modifica dell'htaccess:

#htaccess
Options +ExecCGI 
AddHandler cgiwrap .cgi .pl .chm 
AddHandler php-cgiwrap .php4 .php .php3 .htm .wml 
AddHandler server-parsed .shtml 
DirectoryIndex .htredirect.html index.html welcome.html index.php welcome.php index.php3 index.htm default.htm default.php index.wml 
#fine htaccess

e modifica del php.ini, tra le cui estensioni attivabili non compaiono pdo e pdo_mysql necessarie:

;;;;;;;;;;;;;;;;;;;;;;
; Dynamic Extensions ;
;;;;;;;;;;;;;;;;;;;;;;
;
; If you wish to have an extension loaded automatically, use the following
; syntax:
;
;   extension=modulename.extension
;
; For example, on Windows:
;
;   extension=msql.dll
;
; ... or under UNIX:
;
;extension=pdf.so
;
; Note that it should be the name of the module only; no directory information
; needs to go here.  Specify the location of the extension with the
; extension_dir directive above.


;Windows Extensions
;Note that ODBC support is built in, so no dll is needed for it.
;

;extension=php_bz2.dll
;extension=php_cpdf.dll
;extension=php_curl.dll
;extension=php_dba.dll
;extension=php_dbase.dll
;extension=php_dbx.dll
;extension=php_exif.dll
;extension=php_fdf.dll
;extension=php_filepro.dll
;extension=php_gd2.dll
;extension=php_gettext.dll
;extension=php_ifx.dll
;extension=php_iisfunc.dll
;extension=php_imap.dll
;extension=php_interbase.dll
;extension=php_java.dll
;extension=php_ldap.dll
;extension=php_mbstring.dll
;extension=php_mcrypt.dll
;extension=php_mhash.dll
;extension=php_mime_magic.dll
;extension=php_ming.dll
;extension=php_mssql.dll
;extension=php_msql.dll
;extension=php_mysql.dll
;extension=php_oci8.dll
;extension=php_openssl.dll
;extension=php_oracle.dll
;extension=php_pdf.dll
;extension=php_pgsql.dll
;extension=php_shmop.dll
;extension=php_snmp.dll
;extension=php_sockets.dll
;extension=php_sybase_ct.dll
;extension=php_tidy.dll
;extension=php_w32api.dll
;extension=php_xmlrpc.dll
;extension=php_xsl.dll
;extension=php_yaz.dll
;extension=php_zip.dll

quali sono quindi le modifiche che devo apportare per far partire il framework?

alessio :bye:

inviato 9 anni fa
tes84
X 0 X

Hai provato a vedere cosa ti dice il php_info() magari le funzioni che cerchi sono builtin nell'eseguibile del php, l'host è Win o Linux?

risposto 9 anni fa
Marco Grazia
X 0 X

Ricevi dei messaggi di errore all'avvio dell'applicazione?

 :bye:

risposto 9 anni fa
Gianni Tomasicchio
X 0 X
Hai provato a vedere cosa ti dice il php_info() magari le funzioni che cerchi sono builtin nell'eseguibile del php, l'host è Win o Linux?

l'host è sistema Linux e dal php_info() non vedo caricati i moduli pdo e pdo_mysql

Ricevi dei messaggi di errore all'avvio dell'applicazione?

all'avvio dell'applicazione ricevo un INTERNAL SERVER ERROR

risposto 9 anni fa
tes84
X 0 X

E allora non sono caricati, dovrai chiedere al gestore del tuo host se ha tempo e voglia di ricompilare il PHP

risposto 9 anni fa
Marco Grazia
X 0 X
E allora non sono caricati, dovrai chiedere al gestore del tuo host se ha tempo e voglia di ricompilare il PHP

ora ricevo la seguente Zend_Exception

Fatal error: Uncaught exception 'Zend_Exception' with message 'spl_autoload does not exist in this PHP installation' in /Libs/Zend/Loader.php:248 Stack trace: #0 /Libs/Zend/Loader.php(248): Zend_Loader::registerAutoload() #1 /utility_remoto/index.php(14): Zend_Loader::registerAutoload() #2 {main} thrown in /Libs/Zend/Loader.php on line 248

il server web è register, è dura che perda tempo a starmi dietro.

risposto 9 anni fa
tes84
X 0 X

da phpinfo() viene mostrata la sezione SPL?

risposto 9 anni fa
Gianni Tomasicchio
X 0 X
da phpinfo() viene mostrata la sezione SPL?

si gianni, nell'info ce la sezione SPL, solo che ho notato che la funzione spl_upload necessità di una versione php >= 5.1.2 mentre quella a mia disposizione attualmente è la 5.0.4.

risposto 9 anni fa
tes84
X 0 X

Lo Zend Framework richiede minimo PHP 5.1.4  :dunno:

 :bye:

risposto 9 anni fa
Gianni Tomasicchio
X 0 X
...richiede minimo PHP 5.1.4

avete da consigliarmi un free host con php>=5.1.4?

per provare l'applicazione?

 :bye:

risposto 9 anni fa
tes84
X 0 X

gratuiti non ne conosco ma a pagamento ce ne sono quanti ne vuoi, a partire da meno di 10 l'anno

 :bye:

risposto 9 anni fa
Gianni Tomasicchio
X 0 X

Già ma non aggiungo altro  ::)

 ;D

gratuito ... non so se altervista da queste possibilità, ma so di sicuro che fanno pagare l'uso del mysql.

risposto 9 anni fa
Marco Grazia
X 0 X
gratuito ... non so se altervista da queste possibilità, ma so di sicuro che fanno pagare l'uso del mysql.

sto utilizzando il free hosting di http://www.byethost.com/freeplans.php, per adesso mi ritengo abbastanza soddisfatto.

Disk space 250 Mega Bytes

Monthly bandwidth 6 Giga Bytes

POP Email accounts Unlimited

Web mail Yes

Extra sub-domains 5

Addon domains 5

File Manager Yes

MySQL databases 3

Php flags manager Yes

versione php 5.2.3    

MySQL 5.0.38

 :bye:

risposto 9 anni fa
tes84
X 0 X

Ma scusa non avevi detto che avevi la 5.0.4 installata?

risposto 9 anni fa
Marco Grazia
X 0 X
....avevi la 5.0.4 installata?

infatti su register ce la 5.0.4 quindi ho messo tutto su bytehost per provare e adesso vedrò di trovare uno spazio definitivo a pagamento, ma per ora che mi serve esclusivamente come test va bene così.  O0

risposto 9 anni fa
tes84
X 0 X

Se non hai grandissime pretese (insomma anche quelle, ma penso che non ci staresti con le spese :D) chiedimi in privato però,. se no Gianni mi uccide.

Però solo server di produzione, lo sviluppo non lo accetto se non in certi limiti. (PDO per ora caricati solo per sql lite)

risposto 9 anni fa
Marco Grazia
X 0 X
Effettua l'accesso o registrati per rispondere a questa domanda